Gecode::TraceFilter::TFO::StackFrame Class Reference

`#include <filter.hpp>`

## Public Member Functions

| StackFrame (void)
| Default constructor.
| StackFrame (TFE::Node *n, bool neg)
| Initialize.

## Public Attributes

TFE::Node * | n
| The node.
bool | neg
| Whether it is negated.

## Detailed Description

Definition at line 147 of file filter.hpp.

## Constructor & Destructor Documentation

## StackFrame() [1/2]

Gecode::TraceFilter::TFO::StackFrame::StackFrame | ( | void |  | ) |

inline

Default constructor.

Definition at line 153 of file filter.cpp.

## StackFrame() [2/2]

Gecode::TraceFilter::TFO::StackFrame::StackFrame | ( | TFE::Node * | n,
|  | bool | neg )

inline

Initialize.

Definition at line 155 of file filter.cpp.

## Member Data Documentation

## n

TFE::Node* Gecode::TraceFilter::TFO::StackFrame::n

The node.

Definition at line 150 of file filter.hpp.

## neg

bool Gecode::TraceFilter::TFO::StackFrame::neg

Whether it is negated.

Definition at line 152 of file filter.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/filter.hpp
- gecode/kernel/trace/filter.cpp